<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DisableSelectionForCertainItems.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Disable selection for certain items</title>

    <script type="text/javascript">
    var a = Array;
    window.onload = function ()
    {
        var inp = document.getElementById('Sel');
        var data = inp.value;
        if(data != "")
        {
            var rowsData = data.split(":");
            var i=0;
            while(typeof(rowsData[i]) != "undefined")
            {
                if (rowsData[i] != "")
                {
                    a[i] = rowsData[i];
                }
                i++;
            }
        }
    }    
    function Selecting (sender, args) 
    {
        var i = 0;
        while(typeof(a[i]) != "undefined")
        {
            if (a[i++] == args.get_itemIndexHierarchical())
            {
                args.set_cancel(true);
            }
        }
    }
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <telerik:RadGrid ID="RadGrid1" runat="server" OnItemDataBound="RadGrid1_ItemDataBound"
                AllowMultiRowSelection="true" OnNeedDataSource="RadGrid1_NeedDataSource">
                <MasterTableView AutoGenerateColumns="True">
                    <Columns>
                        <telerik:GridClientSelectColumn UniqueName="Select"/>
                    </Columns>
                </MasterTableView>
                <ClientSettings>
                    <Selecting AllowRowSelect="true" />
                    <ClientEvents OnRowSelecting="Selecting" />
                </ClientSettings>
            </telerik:RadGrid>
            <input id="Sel" runat="server" type="hidden" />
        </div>
    </form>
</body>
</html>
